How to mitigate CVE-2014-3481 for RESTEasy JAX-RS applications running on JBoss products

Solution Verified - Updated -

Issue

  • Does CVE-2014-3481 affect JBoss products?
  • How do I mitigate CVE-2014-3481 for RESTEasy JAX-RS applications running on JBoss EAP 6?
  • How do I mitigate CVE-2014-3481 for RESTEasy JAX-RS applications running on JBoss product?

Environment

  • Red Hat JBoss Enterprise Application Platform (EAP) 6.x
  • Red Hat JBoss Data Grid (JDG) 6.x
  • Red Hat JBoss Data Virtualization (JDV) 6.x
  • Red Hat JBoss Fuse Service Works (FSW) 6.x
  • Red Hat JBoss Operations Network (JON) 3.2.x, 3.3.x
  • Red Hat JBoss Portal (JPP) 6.x
  • OpenShift Online 1.x
  • RESTEasy JAX-RS application

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In